curl --request GET \
--url https://{cluster}.voucherify.io/v2/loyalties/programs/{programId}/memberships/{customerId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"member": {
"id": "lmbr_128f962dbc8c4ba5dc",
"customer_id": "cust_6onRrs4kCnvSVrTs5YtDPFBG",
"program_id": "lprg_128f58429f4c4bf7b2",
"status": "ACTIVE",
"metadata": {},
"created_at": "2026-06-11T15:59:41.298Z",
"updated_at": null,
"object": "member"
},
"program": {
"id": "lprg_128f58429f4c4bf7b2",
"name": "Summer Rewards",
"status": "ACTIVE",
"metadata": {},
"object": "program"
},
"cards": [
{
"member_role": "OWNER",
"created_at": "2026-06-11T15:59:41.303Z",
"tier_progress": {
"current": {
"tier": {
"id": "lt_128f4a88414c4bed6a",
"name": "Gold"
},
"start_at": "2026-06-15T00:00:00.000Z",
"expires_at": "2027-06-15T00:00:00.000Z",
"points": {
"current": 740,
"min": 500,
"max": 1500
}
},
"tier_structure": {
"id": "lts_128f4a88414c4bed69",
"object": "tier_structure"
},
"deferred": [],
"risks": [
{
"type": "TIER_DOWNGRADE",
"date": "2026-09-01T00:00:00.000Z",
"tier": {
"id": "lt_128f4b46558c4bedff",
"name": "Silver"
}
}
],
"opportunities": [],
"object": "member_tier_progress"
},
"card": {
"id": "lcrd_128f962dbd8c4ba5df",
"card_definition_id": "lcdef_128f495f720c4bec8c",
"card_type": "INDIVIDUAL",
"code": "SummerTime-7z8dWawICd",
"lifetime_bucket": {
"points": {
"total": 740,
"earned": 40,
"added": 700,
"purchased": 0,
"purchased_reversed": 0,
"subtracted": 30,
"expired": 300,
"spent": 250,
"refunded": 0,
"returned": 0,
"locked": 250,
"unlocked": 250
},
"pending_points": {
"total": 160,
"activated": 40,
"canceled": 0
}
},
"balance": {
"points": 160,
"pending_points": 120
},
"next_expiration": {
"points": 160,
"date": "2026-08-08"
},
"next_activation": {
"points": 10,
"type": "PERIOD_BASED",
"date": "2026-07-20"
},
"object": "card"
},
"object": "member_card"
},
{
"member_role": "OWNER",
"created_at": "2026-06-11T15:59:41.303Z",
"card": {
"id": "lcrd_128f962dbd8c4ba5e0",
"card_definition_id": "lcdef_128f49963c0c4becb7",
"card_type": "INDIVIDUAL",
"code": "AutumnTime-R02hVARx33",
"lifetime_bucket": {
"points": {
"total": 50,
"earned": 0,
"added": 50,
"purchased": 0,
"purchased_reversed": 0,
"subtracted": 0,
"expired": 0,
"spent": 0,
"refunded": 0,
"returned": 0,
"locked": 0,
"unlocked": 0
},
"pending_points": {
"total": 160,
"activated": 0,
"canceled": 0
}
},
"balance": {
"points": 50,
"pending_points": 160
},
"next_expiration": {
"points": 50,
"date": "2026-12-23"
},
"next_activation": {
"points": 160,
"type": "FIXED_DATES",
"date": "2026-12-23"
},
"object": "card"
},
"object": "member_card"
}
],
"object": "membership"
}Get program membership
Returns the membership for one customer in the program: the member, the program, and the member’s loyalty cards. A card includes tier_progress when its card definition has a tier structure and the member has a tier on that card. Otherwise tier_progress is omitted.
identification_type chooses how customerId is read. It defaults to customer_id.
curl --request GET \
--url https://{cluster}.voucherify.io/v2/loyalties/programs/{programId}/memberships/{customerId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"member": {
"id": "lmbr_128f962dbc8c4ba5dc",
"customer_id": "cust_6onRrs4kCnvSVrTs5YtDPFBG",
"program_id": "lprg_128f58429f4c4bf7b2",
"status": "ACTIVE",
"metadata": {},
"created_at": "2026-06-11T15:59:41.298Z",
"updated_at": null,
"object": "member"
},
"program": {
"id": "lprg_128f58429f4c4bf7b2",
"name": "Summer Rewards",
"status": "ACTIVE",
"metadata": {},
"object": "program"
},
"cards": [
{
"member_role": "OWNER",
"created_at": "2026-06-11T15:59:41.303Z",
"tier_progress": {
"current": {
"tier": {
"id": "lt_128f4a88414c4bed6a",
"name": "Gold"
},
"start_at": "2026-06-15T00:00:00.000Z",
"expires_at": "2027-06-15T00:00:00.000Z",
"points": {
"current": 740,
"min": 500,
"max": 1500
}
},
"tier_structure": {
"id": "lts_128f4a88414c4bed69",
"object": "tier_structure"
},
"deferred": [],
"risks": [
{
"type": "TIER_DOWNGRADE",
"date": "2026-09-01T00:00:00.000Z",
"tier": {
"id": "lt_128f4b46558c4bedff",
"name": "Silver"
}
}
],
"opportunities": [],
"object": "member_tier_progress"
},
"card": {
"id": "lcrd_128f962dbd8c4ba5df",
"card_definition_id": "lcdef_128f495f720c4bec8c",
"card_type": "INDIVIDUAL",
"code": "SummerTime-7z8dWawICd",
"lifetime_bucket": {
"points": {
"total": 740,
"earned": 40,
"added": 700,
"purchased": 0,
"purchased_reversed": 0,
"subtracted": 30,
"expired": 300,
"spent": 250,
"refunded": 0,
"returned": 0,
"locked": 250,
"unlocked": 250
},
"pending_points": {
"total": 160,
"activated": 40,
"canceled": 0
}
},
"balance": {
"points": 160,
"pending_points": 120
},
"next_expiration": {
"points": 160,
"date": "2026-08-08"
},
"next_activation": {
"points": 10,
"type": "PERIOD_BASED",
"date": "2026-07-20"
},
"object": "card"
},
"object": "member_card"
},
{
"member_role": "OWNER",
"created_at": "2026-06-11T15:59:41.303Z",
"card": {
"id": "lcrd_128f962dbd8c4ba5e0",
"card_definition_id": "lcdef_128f49963c0c4becb7",
"card_type": "INDIVIDUAL",
"code": "AutumnTime-R02hVARx33",
"lifetime_bucket": {
"points": {
"total": 50,
"earned": 0,
"added": 50,
"purchased": 0,
"purchased_reversed": 0,
"subtracted": 0,
"expired": 0,
"spent": 0,
"refunded": 0,
"returned": 0,
"locked": 0,
"unlocked": 0
},
"pending_points": {
"total": 160,
"activated": 0,
"canceled": 0
}
},
"balance": {
"points": 50,
"pending_points": 160
},
"next_expiration": {
"points": 50,
"date": "2026-12-23"
},
"next_activation": {
"points": 160,
"type": "FIXED_DATES",
"date": "2026-12-23"
},
"object": "card"
},
"object": "member_card"
}
],
"object": "membership"
}Authorizations
Path Parameters
Unique loyalty program ID (format lprg_[a-f0-9]+).
^lprg_[a-f0-9]+$Unique identifier of the customer or member, interpreted according to identification_type: a Voucherify customer ID (cust_...), a customer source_id, or a loyalty member ID (lmbr_...).
Query Parameters
Chooses how customerId is read. customer_id is the Voucherify customer ID and the default. customer_source_id is the customer's source_id. member_id is the loyalty member ID.
customer_id, customer_source_id, member_id Response
The membership in the program.
Response body schema for GET /v2/loyalties/programs/{programId}/memberships/{customerId}.
The loyalty program member.
Show child attributes
Show child attributes
The loyalty program the member belongs to.
Show child attributes
Show child attributes
Member's loyalty cards, one per card definition assigned to the program. tier_progress is present when that card definition has a tier structure and the member has a tier on the card. Otherwise it is omitted. card.code can be null right after member creation, while code generation is still running.
Show child attributes
Show child attributes
Object type marker, always membership.
"membership"
